function foxfm_arm(doc)
{
	try
	{
		/* get preference value of name of team which arm shall be replaced/added q*/
		armTeamName = prefBranchOFMFunctionSettings.get("arm.team");
		
		if(doc.location.href.match("onlinefussballmanager") && prefBranchOFMFunctionSettings.get("arm.change") && armTeamName!="")
		{
			infoMessage(2, "foxfm_arm(): Replace Arm of '" + armTeamName + "'");
			
			/* get all tables */
			var tables = doc.getElementsByTagName("table");
			
			/* get preference values of the address of the new arm */
			armSrc = prefBranchOFMFunctionSettings.get("arm.urlnewimage");			

			/* add arm on League/Statistic/FunCup page(s) */
			if(!(doc.location.href.match("http://onlinefussballmanager.de/010_liga/teaminfo.php") || 
				 doc.location.href.match("http://onlinefussballmanager.de/010_liga/saisonverlauf.php")) &&
			   doc.location.href.match("http://onlinefussballmanager.de/010_liga") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_statistiken") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_funcup/detail/funcupdetail_spielplan.php") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_funcup/detail/funcupdetail_historie.php") ||
			   doc.location.href.match("http://onlinefussballmanager.de/pss/ingamemail") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_buero/wetten.php") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_buero/ofm_history.php") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_transfer/spielerwechsel.php") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_pokal/poktorschuetzen.php") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_pokal/poksperren.php")
			   )
			{
				addLinkToArmOfTeam(doc, armTeamName, armSrc, 25, -1);
			}

			/* add arm on Club page */
			if(!doc.location.href.match("http://onlinefussballmanager.de/010_liga") &&
				doc.location.href.match("http://onlinefussballmanager.de/vereinsseite/uebersicht"))
			{
				results = findTableByRegExp(tables, armTeamName);
				for(var i=0; i<results.length; i++)
				{
					tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]-1].innerHTML = "<div align=\"right\"><center><img width=\"100\" height=\"100\" border=\"0\" align=\"absmiddle\" src=\"" + armSrc + "\"></center></div>";
				}					
			}
			
			/* replace OFM arm on Buero and Team page */
			if(doc.location.href.match("http://onlinefussballmanager.de/010_buero/buero.php") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_mannschaft/spieler.php")
			   )
			{
				/* check if the name of the own team is the same of whom the arm shall be replaced */
				if(armTeamName == gTeamName)
				{
					/* replace the OFM default arm of own team */
					replaceArmOfOwnTeam(doc, armSrc);
					/* ATTENTION: Due to hidden text passages where the own team name is used 
					   an arm cannot be inserted when own team is listed in the "Buddy List" */
					// addLinkToArmOfTeam(doc, armTeamName+"</a>"+/\(\d*\)/, armSrc, 25, -1);
				} 
				else 
				{
					addLinkToArmOfTeam(doc, armTeamName, armSrc, 25, -1);
				}
			}
			
			/* add arm on OFM Cup schedule page */
			if(doc.location.href.match("http://onlinefussballmanager.de/010_pokal/pokal.php"))
			{
				addLinkToArmOfTeam(doc, armTeamName, armSrc, 25, -2);
			}
			
			/* add arm on FunCup Team page */
			if(doc.location.href.match("http://onlinefussballmanager.de/010_funcup/detail/funcupdetail_teams.php"))
			{
				addLinkToArmOfTeam(doc, armTeamName, armSrc, 50, -2);
			}
		}
	} catch (e) {
		exceptionHandler(e);
	}
}

function replaceArmOfOwnTeam(doc, armSrc)
{
	/* get all images of the current page */
	var imgs = doc.getElementsByTagName("img");
	
	for(var i=0; i<imgs.length; i++)
	{
		/* look for the OFM default Arms */
		if(imgs[i].src.match("wappen_ofm.png") || imgs[i].src.match("wappen_ofm_blass.png"))
		{
			// alert(imgs[i].src);
			imgs[i].src = armSrc;
		}
	}
}

function addLinkToArmOfTeam(doc, team, armSrc, height, relativePos)
{
	var tables = doc.getElementsByTagName("table");

	results = findTableByRegExp(tables, team);
	
	/* if the results are not executed downwards an error occures on the FunCup schedule page */
	for(i=results.length-1; i>=0; i--)
	{
		var table 	= results[i]["table"];
		var row 	= results[i]["row"];
		var cell 	= results[i]["cell"]+relativePos;
				
		tables[table].rows[row].cells[cell].innerHTML = "<div align=\"center\"><a onmouseover=\"Tip('<img src=\\'" + armSrc + "\\' height=100>',FADEIN,200,FADEOUT,200,BORDERWIDTH,0)\"><img src=\"" +  armSrc + "\" height=\"" + height + "\"></a></div>";
	}
}